Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

8275512: Upgrade required version of jtreg to 6.1 #6012

Closed
wants to merge 2 commits into from
Closed
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension

Conversations
Failed to load comments.
Jump to
Jump to file
Failed to load files.
Diff view
Diff view
@@ -1132,9 +1132,9 @@ var getJibProfilesDependencies = function (input, common) {
jtreg: {
server: "jpg",
product: "jtreg",
version: "6",
version: "6.1",
build_number: "1",
file: "bundles/jtreg-6+1.zip",
file: "bundles/jtreg-6.1+1.zip",
environment_name: "JT_HOME",
environment_path: input.get("jtreg", "home_path") + "/bin",
configure_args: "--with-jtreg=" + input.get("jtreg", "home_path"),
@@ -26,7 +26,7 @@
# Versions and download locations for dependencies used by pre-submit testing.

BOOT_JDK_VERSION=17
JTREG_VERSION=6
JTREG_VERSION=6.1
JTREG_BUILD=1
GTEST_VERSION=1.8.1

@@ -78,7 +78,7 @@ requires.properties= \
jdk.containerized

# Minimum jtreg version
requiredVersion=6+1
requiredVersion=6.1+1

# Path to libraries in the topmost test directory. This is needed so @library
# does not need ../../../ notation to reach them
@@ -23,7 +23,7 @@ modules=java.xml
groups=TEST.groups

# Minimum jtreg version
requiredVersion=6+1
requiredVersion=6.1+1

# Path to libraries in the topmost test directory. This is needed so @library
# does not need ../../ notation to reach them
@@ -67,7 +67,7 @@ requires.properties= \
jdk.containerized

# Minimum jtreg version
requiredVersion=6+1
requiredVersion=6.1+1

# Path to libraries in the topmost test directory. This is needed so @library
# does not need ../../ notation to reach them
@@ -15,7 +15,7 @@ keys=intermittent randomness
groups=TEST.groups

# Minimum jtreg version
requiredVersion=6+1
requiredVersion=6.1+1

# Use new module options
useNewOptions=true
@@ -29,7 +29,7 @@
keys=randomness

# Minimum jtreg version
requiredVersion=6+1
requiredVersion=6.1+1

# Path to libraries in the topmost test directory. This is needed so @library
# does not need ../../ notation to reach them